From 353963e0d6422cb8e7f5101e20ba2c2243e01d14 Mon Sep 17 00:00:00 2001
From: Andreas Beckmann <anbe@debian.org>
Date: Sat, 18 Jun 2022 11:15:31 +0200
Subject: [PATCH] reduce noise about ACPI being disabled on no longer installed
 kernels

---
 debian/changelog | 3 +++
 debian/control   | 1 +
 debian/dkms      | 5 +----
 3 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index a20a2db..f8c5fbb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,9 @@ acpi-call (1.2.2-2) UNRELEASED; urgency=medium
 
   * Switch to dh-sequence-dkms.
   * Declare Testsuite: autopkgtest-pkg-dkms.
+  * Use experimental dkms feature BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI" and
+    reduce noise about ACPI being disabled on no longer installed kernels.
+    (Closes: #992491)
 
  -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2022 15:56:07 +0200
 
diff --git a/debian/control b/debian/control
index 969446a..21eae18 100644
--- a/debian/control
+++ b/debian/control
@@ -4,6 +4,7 @@ Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-dkms,
+ dh-dkms (>= 3.0.3-4~),
 Standards-Version: 4.6.0
 Homepage: https://github.com/nix-community/acpi_call
 Vcs-Browser: https://salsa.debian.org/moonsweep/acpi-call
diff --git a/debian/dkms b/debian/dkms
index 9295372..2703ed7 100644
--- a/debian/dkms
+++ b/debian/dkms
@@ -7,7 +7,4 @@ DEST_MODULE_LOCATION[0]="/extra"
 AUTOINSTALL="yes"
 
 # Don't build module when ACPI is disabled
-if ! grep -q "^CONFIG_ACPI=[ym]$" "$kernel_source_dir/.config" 2>/dev/null ; then
-  echo "ACPI disabled in this kernel, not building module." >&2
-  BUILD_EXCLUSIVE_ARCH="^do_not_build$"
-fi
+BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI"
-- 
2.20.1

